Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 660852

Summary: =media-libs/qtav-1.12.0: .../AVCompat.h:82:10: fatal error: libavfilter/avfiltergraph.h: No such file or directory
Product: Gentoo Linux Reporter: Paolo Pedroni <paolo.pedroni>
Component: Current packagesAssignee: Johannes Huber <johu>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/wang-bin/QtAV/issues/1073
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 653678    
Attachments: qtav-1.12.0\:20180710-151252.log.gz

Description Paolo Pedroni 2018-07-10 15:47:03 UTC
Created attachment 539042 [details]
qtav-1.12.0\:20180710-151252.log.gz

I guess this is ffmpeg-4 related:
[...SKIP...]
In file included from /var/tmp/portage/media-libs/qtav-1.12.0/work/QtAV-1.12.0/src/utils/internal.h:28:0,
                 from /var/tmp/portage/media-libs/qtav-1.12.0/work/QtAV-1.12.0/src/subtitle/PlayerSubtitle.cpp:27:
/var/tmp/portage/media-libs/qtav-1.12.0/work/QtAV-1.12.0/src/QtAV/private/AVCompat.h:82:10: fatal error: libavfilter/avfiltergraph.h: No such file or directory
 #include <libavfilter/avfiltergraph.h> /*code is here for old version*/
          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
compilation terminated.
distcc[3989] ERROR: compile /var/tmp/portage/media-libs/qtav-1.12.0/work/QtAV-1.12.0/src/subtitle/PlayerSubtitle.cpp on localhost failed
make[2]: *** [src/CMakeFiles/QtAV.dir/build.make:316: src/CMakeFiles/QtAV.dir/subtitle/PlayerSubtitle.cpp.o] Error 1
make[2]: Leaving directory '/var/tmp/portage/media-libs/qtav-1.12.0/work/qtav-1.12.0_build'
make[1]: *** [CMakeFiles/Makefile2:87: src/CMakeFiles/QtAV.dir/all] Error 2
make[1]: Leaving directory '/var/tmp/portage/media-libs/qtav-1.12.0/work/qtav-1.12.0_build'
make: *** [Makefile:130: all] Error 2

Reportedly (https://github.com/wang-bin/QtAV/issues/1073), git HEAD has all the fixes, but there is no new release ATM.

# emerge --info =media-libs/qtav-1.12.0
Portage 2.3.40 (python 3.6.5-final-0, default/linux/amd64/17.1/desktop/plasma/systemd, gcc-7.3.0, glibc-2.26-r7, 4.16.18-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.16.18-gentoo-x86_64-Intel-R-_Core-TM-_i7-2600_CPU_@_3.40GHz-with-gentoo-2.4.1
KiB Mem:    15858040 total,   1439292 free
KiB Swap:   16777212 total,  16759036 free
Timestamp of repository gentoo: Tue, 10 Jul 2018 06:45:01 +0000
Head commit of repository gentoo: ee3fb1f4c337ca7ef8a39c53beed512144619c44
sh dash 0.5.9.1-r3
ld GNU gold (Gentoo 2.30 p2 2.30.0) 1.15
distcc 3.2rc1 x86_64-pc-linux-gnu [enabled]
ccache version 3.3.4 [disabled]
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.6.5::gentoo
dev-util/ccache:          3.3.4-r1::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.15.1-r2::gentoo
sys-devel/binutils:       2.30-r2::gentoo
sys-devel/gcc:            7.3.0-r3::gentoo
sys-devel/gcc-config:     1.9.1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r7::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.europe.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 
    sync-rsync-verify-max-age: 24

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 0

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=sandybridge -msahf --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -flto=8"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=sandybridge -msahf --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -flto=8"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going y --with-bdeps y"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs cgroup compress-build-logs config-protect-if-modified distcc distlocks ebuild-locks ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch preserve-libs protect-owned sandbox sfperms sign split-elog split-log strict strict-keepdir test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://tux.rainside.sk/gentoo/ http://mirror.leaseweb.com/gentoo/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/"
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--sort-common -flto=8"
LINGUAS="it it_IT"
MAKEOPTS="-j13 -l8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aalib acl acpi activities adns alsa amd64 ao audiofile bash-completion bluetooth branding bzip2 cairo caps cdda cddb cdparanoia cdr cli crypt css cups curl cxx dbus declarative dga djvu dri dts dvd dvdr emboss encode exif expat fbcon ffmpeg fftw flac fontconfig foomaticdb fortran ftp gd gdbm geoip gif gimp glamor gmp gnutls gphoto2 gpm graphviz gtk handbook iconv icu idn imagemagick imlib ipv6 java javascript jbig jpeg jpeg2k kde kipi kwallet lame lcms libass libcaca libnotify libsamplerate libtirpc lm_sensors lua lzma lzo mad mmap mng modules mp3 mp4 mpeg mplayer multilib musicbrainz ncurses nls nptl nsplugin offensive ogg openal opengl openmp pam pango pcre pdf phonon plasma png policykit postscript ppds pulseaudio qml qt5 rdesktop readline recode samba sctp sdl seccomp sndfile sockets speex spell sqlite ssl startup-notification subversion svg symlink syslog systemd sysvipc taglib theora threads tidy tiff truetype udev udisks unicode upower usb vaapi vcd vim-syntax vnc vorbis wayland widgets win32codecs wmf wxwidgets x264 xattr xcb xcomposite xine xml xpm xscreensaver xv xvid yahoo zlib" ABI_X86="64" ALSA_CARDS="hda-intel virmidi" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" CAMERAS="kodak ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="gnutls" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="libinput" KERNEL="linux" L10N="it en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6 pypy pypy3" RUBY_TARGETS="ruby23" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

media-libs/qtav-1.12.0::gentoo was built with the following:
USE="opengl pulseaudio vaapi -gui -libav -portaudio" ABI_X86="(64)"
CFLAGS="-O2 -pipe -march=sandybridge -msahf --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -flto=8 -fuse-linker-plugin"
CXXFLAGS="-O2 -pipe -march=sandybridge -msahf --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -flto=8 -fuse-linker-plugin"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--sort-common -flto=8 -fuse-linker-plugin"

# emerge -1pqv =media-libs/qtav-1.12.0
[ebuild   R   ] media-libs/qtav-1.12.0  USE="opengl pulseaudio vaapi -gui -libav -portaudio"
Comment 1 Larry the Git Cow gentoo-dev 2018-09-16 08:17:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc10c10272774119fe1d518101197b897e91ae8c

commit fc10c10272774119fe1d518101197b897e91ae8c
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-09-16 08:14:34 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-09-16 08:17:32 +0000

    media-libs/qtav: Fix build with ffmpeg-4
    
    Closes: https://bugs.gentoo.org/660852
    Package-Manager: Portage-2.3.49, Repoman-2.3.10

 media-libs/qtav/files/qtav-1.12.0-ffmpeg-4.patch | 36 ++++++++++++++++++++++++
 media-libs/qtav/qtav-1.12.0.ebuild               |  7 +++--
 2 files changed, 41 insertions(+), 2 deletions(-)